GET api/sticker/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

StickerViewModel
NameDescriptionTypeAdditional information
descriptions

Dictionary of string [key] and string [value]

None.

type

StickerTypeViewModel

None.

relations

Collection of StickerRelationViewModel

None.

details

Collection of StickerDetailViewModel

None.

active

boolean

Required

code

string

Required

Max length: 50

id

globally unique identifier

None.

stickerType_ID

globally unique identifier

Required

stickerRelation_IDs

Collection of globally unique identifier

None.

site_ID

globally unique identifier

Required

Response Formats

application/json, text/json

Sample:
{
  "descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "type": {
    "descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "code": "sample string 1",
    "id": "5fe79b49-aaef-40fb-886e-60a21a68ad1a",
    "technicalDescription": "sample string 3",
    "active": true
  },
  "relations": [
    {
      "active": true,
      "contract_ID": "9ccf550c-f069-4dd7-a923-ab3a181d3913",
      "contractItem_ID": "bd55aeb6-c7b1-454c-aa7e-62915afa737c",
      "departement_ID": "868bca1a-1493-45f7-916a-f547233b978c",
      "departmentItem_ID": "b9209f44-bbe5-441f-b85a-bb22ffddd7a1",
      "iD": "26222972-e607-4ba1-ad34-8059633d2451",
      "site_ID": "712375fe-8b4d-4fd6-9b9b-1b4da77a5067",
      "siteCustomer_ID": "5aa1bf9f-c2ed-4669-8569-9d93b31f8a04",
      "sticker_ID": "ea7e3550-2173-4c39-b511-2d4bca6782d5",
      "garment_ID": "0960447f-7737-4fec-841d-cf4635f8e997"
    },
    {
      "active": true,
      "contract_ID": "9ccf550c-f069-4dd7-a923-ab3a181d3913",
      "contractItem_ID": "bd55aeb6-c7b1-454c-aa7e-62915afa737c",
      "departement_ID": "868bca1a-1493-45f7-916a-f547233b978c",
      "departmentItem_ID": "b9209f44-bbe5-441f-b85a-bb22ffddd7a1",
      "iD": "26222972-e607-4ba1-ad34-8059633d2451",
      "site_ID": "712375fe-8b4d-4fd6-9b9b-1b4da77a5067",
      "siteCustomer_ID": "5aa1bf9f-c2ed-4669-8569-9d93b31f8a04",
      "sticker_ID": "ea7e3550-2173-4c39-b511-2d4bca6782d5",
      "garment_ID": "0960447f-7737-4fec-841d-cf4635f8e997"
    }
  ],
  "details": [
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "c16bf1e7-56d8-45e3-9e0f-a19d4d2f41d9",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "b318101d-97b1-4bc6-ab11-a78bb17c6598",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "2f69b206-baeb-4c05-9b02-f9469f2466a6",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "0091a27a-5215-4eb7-8c82-c9f33fd768a8",
      "stickerField_ID": "24a93f48-379a-4a62-b3da-9495bbcd1508",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    },
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "c16bf1e7-56d8-45e3-9e0f-a19d4d2f41d9",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "b318101d-97b1-4bc6-ab11-a78bb17c6598",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "2f69b206-baeb-4c05-9b02-f9469f2466a6",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "0091a27a-5215-4eb7-8c82-c9f33fd768a8",
      "stickerField_ID": "24a93f48-379a-4a62-b3da-9495bbcd1508",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    }
  ],
  "active": true,
  "code": "sample string 2",
  "id": "1f447015-57f2-41a6-b627-5580e3d00a04",
  "stickerType_ID": "ad7130e5-9c16-42cf-986f-af0b10a109bc",
  "stickerRelation_IDs": [
    "61884c70-1292-4781-800d-7fd50bd1881d",
    "329c0cc2-e782-4407-ad5f-3fdc3ef169ee"
  ],
  "site_ID": "351e4937-c43c-4f1b-b641-5f01cd34d72a"
}

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.